module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/components/Content/index.tsx":
/*!******************************************!*\
  !*** ./src/components/Content/index.tsx ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(__webpack_require__(/*! react */ "react"));
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const components_1 = __webpack_require__(/*! @workbench-stack/components */ "@workbench-stack/components");
const utils_1 = __webpack_require__(/*! ../../utils */ "./src/utils/index.ts");
const graphql_1 = __webpack_require__(/*! ../../graphql */ "./src/graphql/index.ts");
const OUTPUT_LANGUAGE = 'outputLanguage';
class OutputContentComponent extends React.Component {
    constructor(props) {
        super(props);
        this.editorWillMount = (monaco) => {
            const { outputList } = this.props;
            const containerTokenizer = [];
            outputList.forEach(el => {
                if (el.container) {
                    return containerTokenizer.push([new RegExp(el.container, 'g'), 'custom-notice']);
                }
            });
            monaco.languages.register({ id: OUTPUT_LANGUAGE });
            monaco.languages.setMonarchTokensProvider(OUTPUT_LANGUAGE, {
                tokenizer: {
                    root: [
                        ...containerTokenizer,
                        [/\[error.*/, 'custom-error'],
                        [/\[notice.*/, 'custom-notice'],
                        [/\[info.*/, 'custom-info'],
                        [/\[[a-zA-Z 0-9:]+\]/, 'custom-date'],
                        [/\d\d\d\d-\d\d-\d\d[a-zA-Z0-9\:\.]*/, 'custom-date'],
                    ],
                },
            });
            utils_1.createThemes(monaco);
            return {};
        };
        this.editorDidMount = (editor) => {
            this.editor = editor;
            editor.focus();
        };
        this.state = {
            loaded: false,
        };
    }
    componentWillReceiveProps(nextProps) {
        const { outputData, currentTab, clearOutput, clearedAction, refetchOutput, subscribeToMore, client, pods, setPodsAction } = nextProps;
        if (outputData !== this.props.outputData) {
            if (this.unsubscribe) {
                this.unsubscribe();
            }
            this.unsubscribe = subscribeToMore({
                document: graphql_1.OUTPUT_CONTENT_SUBSCRIPTION,
                variables: { name: currentTab.name },
                updateQuery: (prev, { subscriptionData: { data } }) => {
                    const { outputDataSubscription } = data;
                    if (outputDataSubscription) {
                        try {
                            const { getOutput } = client.readQuery({
                                query: graphql_1.GET_OUTPUT_QUERY,
                                variables: { request: currentTab.name },
                            });
                            getOutput.output = getOutput.output + outputDataSubscription.output;
                            client.writeQuery({
                                query: graphql_1.GET_OUTPUT_QUERY,
                                variables: { request: currentTab.name },
                                data: { getOutput },
                            });
                        }
                        catch (err) {
                            console.error('err', err);
                        }
                    }
                },
                onError: (err) => {
                    console.error(err.message, 'error');
                },
            });
        }
        else if (clearOutput) {
            clearedAction(null);
            const { getOutput } = client.readQuery({
                query: graphql_1.GET_OUTPUT_QUERY,
                variables: { request: clearOutput.name },
            });
            client.writeQuery({
                query: graphql_1.GET_OUTPUT_QUERY,
                variables: { request: currentTab.name },
                data: { getOutput: Object.assign(Object.assign({}, getOutput), { output: '' }) },
            });
        }
        if (currentTab !== this.props.currentTab) {
            clearedAction(this.props.currentTab);
            if (refetchOutput) {
                refetchOutput();
            }
        }
        if (pods !== this.props.pods) {
            setPodsAction(pods);
        }
    }
    componentWillUnmount() {
        this.props.unSubscribeMutate();
        if (this.unsubscribe) {
            this.unsubscribe();
            this.unsubscribe = null;
        }
    }
    render() {
        const { styles, outputData, theme } = this.props;
        const { loaded } = this.state;
        const editorOptions = {
            selectOnLineNumbers: false,
            readOnly: true,
            wordWrap: 'on',
            automaticLayout: true,
            minimap: {
                enabled: false,
            },
            lineNumbers: 'off',
            theme: 'outputTheme-light',
        };
        setTimeout(() => {
            if (!loaded) {
                this.setState({ loaded: true });
            }
        }, 1500);
        if (!loaded) {
            return React.createElement("div", null);
        }
        const content = outputData ? outputData.output : '';
        if (this.editor && content) {
            const lineNumber = content.split('\n').length;
            this.editor.revealLineInCenter(lineNumber);
        }
        return (React.createElement("div", { className: styles.container },
            React.createElement(components_1.MonacoEditor, { uri: 'file:///outputfile', value: content, options: editorOptions, theme: { name: `outputTheme-${theme.className}` }, editorWillMount: this.editorWillMount, editorDidMount: this.editorDidMount, language: OUTPUT_LANGUAGE })));
    }
}
const OutputContent = react_fela_1.connect({
    container: () => ({
        padding: '10px',
        height: '100%',
        overflowY: 'auto',
    }),
})(react_fela_1.withTheme(OutputContentComponent));
exports.default = OutputContent;


/***/ }),

/***/ "./src/components/Header/Icons.tsx":
/*!*****************************************!*\
  !*** ./src/components/Header/Icons.tsx ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(__webpack_require__(/*! react */ "react"));
const { connect: fela, withTheme } = __webpack_require__(/*! react-fela */ "react-fela");
const iconStyle = {
    display: 'block',
    height: '35px',
    lineHeight: '35px',
    minWidth: '28px',
    backgroundSize: '16px!important',
    backgroundPosition: '50%!important',
    backgroundRepeat: 'no-repeat!important',
    outlineOffset: '-2px',
};
const icons = {
    lock: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%23f6f6f6}.icon-vs-out{fill:%23f6f6f6}.icon-vs-bg{fill:%23424242}.icon-vs-fg{fill:%23f0eff1}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 6V4.75c0-2.206-1.794-4-4-4s-4 1.794-4 4V6H2v9h12V6h-2zM5 4.75c0-1.654 1.346-3 3-3s3 1.346 3 3V6H5V4.75zM13 14H3V7h10v7zM6.75 9.25a1.25 1.25 0 0 1 2.5 0c0 .512-.309.95-.75 1.143V13h-1v-2.607a1.248 1.248 0 0 1-.75-1.143z' id='iconBg'/%3E%3C/svg%3E",
    lockDark: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}.icon-vs-fg{fill:%232b282e}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 6V4.75c0-2.206-1.794-4-4-4s-4 1.794-4 4V6H2v9h12V6h-2zM5 4.75c0-1.654 1.346-3 3-3s3 1.346 3 3V6H5V4.75zM13 14H3V7h10v7zM6.75 9.25a1.25 1.25 0 0 1 2.5 0c0 .512-.309.95-.75 1.143V13h-1v-2.607a1.248 1.248 0 0 1-.75-1.143z' id='iconBg'/%3E%3C/svg%3E",
    unlock: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%23f6f6f6}.icon-vs-out{fill:%23f6f6f6}.icon-vs-bg{fill:%23424242}.icon-vs-fg{fill:%23f0eff1}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 0v16H0V0h16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 1c-1.822 0-3 1.178-3 3v3H2v8h10V7h-2V4c0-1.271.729-2 2-2s2 .729 2 2v3h1V4c0-1.822-1.178-3-3-3zm-1 7v6H3V8h8zm-3.499 2.846L7.502 13h-1l-.001-2.153A.986.986 0 0 1 6 10a1 1 0 0 1 2 0 .984.984 0 0 1-.499.846z' id='iconBg'/%3E%3C/svg%3E",
    unlockDark: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}.icon-vs-fg{fill:%232b282e}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 0v16H0V0h16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 1c-1.822 0-3 1.178-3 3v3H2v8h10V7h-2V4c0-1.271.729-2 2-2s2 .729 2 2v3h1V4c0-1.822-1.178-3-3-3zm-1 7v6H3V8h8zm-3.499 2.846L7.502 13h-1l-.001-2.153A.986.986 0 0 1 6 10a1 1 0 0 1 2 0 .984.984 0 0 1-.499.846z' id='iconBg'/%3E%3C/svg%3E",
    clean: "%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cpath fill='%23fff' d='M4.222 0H2v.479a1.844 1.844 0 0 0-.043 2.269L2 2.807V6.01l-.4.296-.053.053C1.194 6.711 1 7.181 1 7.68s.194.967.549 1.32c.134.134.288.236.451.322V16h14V0H4.222z'/%3E%3Cpath fill='%23424242' d='M10.798 7l-1.83-2H15v2h-4.202zM8.506 1H5.299l1.337 1.52L8.506 1zM3 9.531V11h12V9H4.187l-.024.021c-.3.299-.716.479-1.163.51zM3 15h12v-2H3v2zm3.323-8h.631l-.347-.266L6.323 7zM15 3V1h-3.289L9.968 3H15z'/%3E%3Cpath fill='%23A1260D' d='M7.246 4.6l2.856-3.277-.405-.002-3.176 2.581L3.914.94a.856.856 0 0 0-1.082.096c-.308.306-.319.779-.069 1.12L5.593 4.6 2.254 7.066a.865.865 0 0 0 0 1.225.87.87 0 0 0 1.226 0l3.063-2.867 3.33 2.555h.466L7.246 4.6z'/%3E%3C/svg%3E",
    cleanDark: "%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cpath fill='%231E1E1E' d='M4.222 0H2v.479a1.844 1.844 0 0 0-.043 2.269L2 2.807V6.01l-.4.296-.053.053C1.194 6.711 1 7.181 1 7.68s.194.967.549 1.32c.134.134.288.236.451.322V16h14V0H4.222z'/%3E%3Cpath fill='%23E8E8E8' d='M10.798 7l-1.83-2H15v2h-4.202zM8.506 1H5.299l1.337 1.52L8.506 1zM3 9.531V11h12V9H4.187l-.024.021c-.3.299-.716.479-1.163.51zM3 15h12v-2H3v2zm3.323-8h.631l-.347-.266L6.323 7zM15 3V1h-3.289L9.968 3H15z'/%3E%3Cpath fill='%23F48771' d='M7.246 4.6l2.856-3.277-.405-.002-3.176 2.581L3.914.94a.856.856 0 0 0-1.082.096c-.308.306-.319.779-.069 1.12L5.593 4.6 2.254 7.066a.865.865 0 0 0 0 1.225.87.87 0 0 0 1.226 0l3.063-2.867 3.33 2.555h.466L7.246 4.6z'/%3E%3C/svg%3E",
};
exports.Lock = fela({
    icon: ({ theme }) => (Object.assign(Object.assign({}, iconStyle), { background: (theme.name === 'hc' || theme.name === 'dark')
            ? `url("data:image/svg+xml;charset=utf-8,${icons.lockDark}") 50% no-repeat`
            : `url("data:image/svg+xml;charset=utf-8,${icons.lock}") 50% no-repeat` })),
})(withTheme(({ styles, onClick }) => React.createElement("div", { className: styles.icon, onClick: onClick })));
exports.UnLock = fela({
    icon: ({ theme }) => (Object.assign(Object.assign({}, iconStyle), { background: (theme.name === 'hc' || theme.name === 'dark')
            ? `url("data:image/svg+xml;charset=utf-8,${icons.unlockDark}") 50% no-repeat`
            : `url("data:image/svg+xml;charset=utf-8,${icons.unlock}") 50% no-repeat` })),
})(withTheme(({ styles, onClick }) => React.createElement("div", { className: styles.icon, onClick: onClick })));
exports.Clean = fela({
    icon: ({ theme }) => (Object.assign(Object.assign({}, iconStyle), { background: (theme.name === 'hc' || theme.name === 'dark')
            ? `url("data:image/svg+xml;charset=utf-8,${icons.cleanDark}") 50% no-repeat`
            : `url("data:image/svg+xml;charset=utf-8,${icons.clean}") 50% no-repeat` })),
})(withTheme(({ styles, onClick }) => React.createElement("div", { className: styles.icon, onClick: onClick })));


/***/ }),

/***/ "./src/components/Header/index.tsx":
/*!*****************************************!*\
  !*** ./src/components/Header/index.tsx ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(__webpack_require__(/*! react */ "react"));
const { connect: fela } = __webpack_require__(/*! react-fela */ "react-fela");
const lodash_1 = __webpack_require__(/*! lodash */ "lodash");
const Icons_1 = __webpack_require__(/*! ./Icons */ "./src/components/Header/Icons.tsx");
class OutputHeaderComponent extends React.Component {
    constructor() {
        super(...arguments);
        this.handleOutputActions = (e) => {
            this.props.changeOutputType(e.target.value);
        };
    }
    render() {
        const { lock, styles, outputList, clearAction, lockAction, currentTab } = this.props;
        const selectedTab = currentTab ? lodash_1.findIndex(outputList, { name: currentTab.name }) : null;
        return (React.createElement("div", { className: styles.container },
            React.createElement("div", { className: "colors" },
                React.createElement("select", { className: styles.select, value: selectedTab, onChange: this.handleOutputActions }, lodash_1.map(outputList, (item, i) => (React.createElement("option", { key: i, value: i }, item.title))))),
            React.createElement(Icons_1.Clean, { onClick: () => clearAction(currentTab) }),
            lock ? React.createElement(Icons_1.Lock, { onClick: lockAction }) : React.createElement(Icons_1.UnLock, { onClick: lockAction })));
    }
}
const OutputHeader = fela({
    container: () => ({
        width: '100%',
        display: 'flex',
        alignItems: 'center',
    }),
})(OutputHeaderComponent);
exports.default = OutputHeader;


/***/ }),

/***/ "./src/components/index.ts":
/*!*********************************!*\
  !*** ./src/components/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var Header_1 = __webpack_require__(/*! ./Header */ "./src/components/Header/index.tsx");
exports.OutputHeader = Header_1.default;
var Content_1 = __webpack_require__(/*! ./Content */ "./src/components/Content/index.tsx");
exports.OutputContent = Content_1.default;


/***/ }),

/***/ "./src/containers/OutputContent.ts":
/*!*****************************************!*\
  !*** ./src/containers/OutputContent.ts ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_apollo_1 = __webpack_require__(/*! react-apollo */ "react-apollo");
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const flowRight_1 = __importDefault(__webpack_require__(/*! lodash/flowRight */ "lodash/flowRight"));
const actions_1 = __webpack_require__(/*! ../reducers/actions */ "./src/reducers/actions/index.ts");
const components_1 = __webpack_require__(/*! ../components */ "./src/components/index.ts");
const graphql_1 = __webpack_require__(/*! ../graphql */ "./src/graphql/index.ts");
exports.OutputContentEnhanced = flowRight_1.default(...[
    react_redux_1.connect((state) => ({
        currentTab: state.output.currentTab,
        clearOutput: state.output.clear,
        outputList: state.output.outputList,
        activePanel: state.consolePanel.active,
    }), dispatch => ({
        clearedAction: (tabName) => dispatch(actions_1.clearOutputAction(tabName)),
        setPodsAction: (pods) => dispatch(actions_1.setPodsAction(pods)),
    })),
    react_apollo_1.graphql(graphql_1.GET_OUTPUT_PODS_QUERY, {
        skip: ({ activePanel }) => activePanel !== 'output',
        props: ({ data }) => { return { pods: data.getPods }; },
    }),
    react_apollo_1.graphql(graphql_1.GET_OUTPUT_QUERY, {
        skip: ({ activePanel, currentTab }) => activePanel !== 'output' || !currentTab,
        options: ({ currentTab }) => ({ variables: { request: currentTab.name } }),
        props: ({ data }) => { return { outputData: data.getOutput, refetchOutput: data.refetch, subscribeToMore: data.subscribeToMore }; },
    }),
    react_apollo_1.graphql(graphql_1.UNWATCH_LOGS_MUTATION, { name: 'unSubscribeMutate' }),
])(react_apollo_1.withApollo(components_1.OutputContent));


/***/ }),

/***/ "./src/containers/OutputHeader.tsx":
/*!*****************************************!*\
  !*** ./src/containers/OutputHeader.tsx ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const { compose } = __webpack_require__(/*! redux */ "redux");
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const actions_1 = __webpack_require__(/*! ../reducers/actions */ "./src/reducers/actions/index.ts");
const components_1 = __webpack_require__(/*! ../components */ "./src/components/index.ts");
exports.OutputHeaderEnhanced = compose(...[
    react_redux_1.connect((state) => ({
        lock: state.output.lock,
        outputList: state.output.outputList,
        currentTab: state.output.currentTab,
    }), dispatch => ({
        lockAction: () => dispatch(actions_1.lockAction()),
        clearAction: (tabName) => dispatch(actions_1.clearOutputAction(tabName)),
        changeOutputType: (index) => dispatch(actions_1.changeOutputType(index)),
    })),
])(components_1.OutputHeader);


/***/ }),

/***/ "./src/containers/index.ts":
/*!*********************************!*\
  !*** ./src/containers/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const OutputHeader_1 = __webpack_require__(/*! ./OutputHeader */ "./src/containers/OutputHeader.tsx");
exports.OutputHeaderEnhanced = OutputHeader_1.OutputHeaderEnhanced;
const OutputContent_1 = __webpack_require__(/*! ./OutputContent */ "./src/containers/OutputContent.ts");
exports.OutputContentEnhanced = OutputContent_1.OutputContentEnhanced;


/***/ }),

/***/ "./src/graphql/index.ts":
/*!******************************!*\
  !*** ./src/graphql/index.ts ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./queries */ "./src/graphql/queries/index.ts"));
__export(__webpack_require__(/*! ./mutation */ "./src/graphql/mutation/index.ts"));
__export(__webpack_require__(/*! ./subscriptions */ "./src/graphql/subscriptions/index.ts"));


/***/ }),

/***/ "./src/graphql/mutation/index.ts":
/*!***************************************!*\
  !*** ./src/graphql/mutation/index.ts ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.UNWATCH_LOGS_MUTATION = __webpack_require__(/*! ./unWatchLogs */ "./src/graphql/mutation/unWatchLogs.gql");


/***/ }),

/***/ "./src/graphql/mutation/unWatchLogs.gql":
/*!**********************************************!*\
  !*** ./src/graphql/mutation/unWatchLogs.gql ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"unWatchLogs"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"unWatchLogs"},"arguments":[],"directives":[]}]}}],"loc":{"start":0,"end":40}};
    doc.loc.source = {"body":"mutation unWatchLogs {\n    unWatchLogs\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set();

      // IE 11 doesn't support "new Set(iterable)", so we add the members of opRefs to newRefs one by one
      opRefs.forEach(function(refName) {
        newRefs.add(refName);
      });

      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["unWatchLogs"] = oneQuery(doc, "unWatchLogs");
        


/***/ }),

/***/ "./src/graphql/queries/getOutput.gql":
/*!*******************************************!*\
  !*** ./src/graphql/queries/getOutput.gql ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetOutput"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"request"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getOutput"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"request"},"value":{"kind":"Variable","name":{"kind":"Name","value":"request"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":93}};
    doc.loc.source = {"body":"query GetOutput($request: String) {\n  getOutput(request: $request){\n    output\n    name\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set();

      // IE 11 doesn't support "new Set(iterable)", so we add the members of opRefs to newRefs one by one
      opRefs.forEach(function(refName) {
        newRefs.add(refName);
      });

      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["GetOutput"] = oneQuery(doc, "GetOutput");
        


/***/ }),

/***/ "./src/graphql/queries/getPods.gql":
/*!*****************************************!*\
  !*** ./src/graphql/queries/getPods.gql ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetPods"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getPods"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":52}};
    doc.loc.source = {"body":"query GetPods {\n  getPods {\n    name\n    title\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set();

      // IE 11 doesn't support "new Set(iterable)", so we add the members of opRefs to newRefs one by one
      opRefs.forEach(function(refName) {
        newRefs.add(refName);
      });

      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["GetPods"] = oneQuery(doc, "GetPods");
        


/***/ }),

/***/ "./src/graphql/queries/index.ts":
/*!**************************************!*\
  !*** ./src/graphql/queries/index.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.GET_OUTPUT_QUERY = __webpack_require__(/*! ./getOutput */ "./src/graphql/queries/getOutput.gql");
exports.GET_OUTPUT_PODS_QUERY = __webpack_require__(/*! ./getPods */ "./src/graphql/queries/getPods.gql");


/***/ }),

/***/ "./src/graphql/subscriptions/index.ts":
/*!********************************************!*\
  !*** ./src/graphql/subscriptions/index.ts ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.OUTPUT_CONTENT_SUBSCRIPTION = __webpack_require__(/*! ./outputContent */ "./src/graphql/subscriptions/outputContent.gql");


/***/ }),

/***/ "./src/graphql/subscriptions/outputContent.gql":
/*!*****************************************************!*\
  !*** ./src/graphql/subscriptions/outputContent.gql ***!
  \*****************************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"subscription","name":{"kind":"Name","value":"outputDataSubscription"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"name"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"outputDataSubscription"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"name"},"value":{"kind":"Variable","name":{"kind":"Name","value":"name"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"err"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":143}};
    doc.loc.source = {"body":"subscription outputDataSubscription($name: String!) {\n    outputDataSubscription(name: $name) {\n        output\n        name\n        err\n    }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set();

      // IE 11 doesn't support "new Set(iterable)", so we add the members of opRefs to newRefs one by one
      opRefs.forEach(function(refName) {
        newRefs.add(refName);
      });

      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["outputDataSubscription"] = oneQuery(doc, "outputDataSubscription");
        


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const module_1 = __importDefault(__webpack_require__(/*! ./module */ "./src/module.ts"));
__export(__webpack_require__(/*! ./components */ "./src/components/index.ts"));
__export(__webpack_require__(/*! ./containers */ "./src/containers/index.ts"));
exports.default = new client_react_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const reducers_1 = __webpack_require__(/*! ./reducers */ "./src/reducers/index.ts");
exports.default = new client_react_1.Feature({
    reducer: {
        output: reducers_1.outputReducer,
    },
    dataIdFromObject: {
        'OutputRes': (result) => result.__typename + ':' + result.name,
    },
});


/***/ }),

/***/ "./src/reducers/actions/index.ts":
/*!***************************************!*\
  !*** ./src/reducers/actions/index.ts ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./output */ "./src/reducers/actions/output.ts"));


/***/ }),

/***/ "./src/reducers/actions/output.ts":
/*!****************************************!*\
  !*** ./src/reducers/actions/output.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(/*! ../constants/actionTypes */ "./src/reducers/constants/actionTypes.ts");
exports.changeOutputType = (index) => ({
    type: actionTypes_1.OUTPUT_TYPES.CHANGE_TYPE,
    payload: index,
});
exports.lockAction = () => ({
    type: actionTypes_1.OUTPUT_TYPES.LOCK,
});
exports.clearOutputAction = (tabName) => ({
    type: actionTypes_1.OUTPUT_TYPES.CLEAR,
    payload: tabName,
});
exports.setPodsAction = (pods) => ({
    type: actionTypes_1.OUTPUT_TYPES.SET_PODS,
    payload: pods,
});


/***/ }),

/***/ "./src/reducers/constants/actionTypes.ts":
/*!***********************************************!*\
  !*** ./src/reducers/constants/actionTypes.ts ***!
  \***********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.OUTPUT_TYPES = {
    LOCK: 'output/LOCK',
    CHANGE_TYPE: 'output/CHANGE_TYPE',
    CLEAR: 'output/CLEAR',
    SET_PODS: 'output/SET_PODS',
};


/***/ }),

/***/ "./src/reducers/index.ts":
/*!*******************************!*\
  !*** ./src/reducers/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./reducers */ "./src/reducers/reducers/index.ts"));
__export(__webpack_require__(/*! ./actions */ "./src/reducers/actions/index.ts"));


/***/ }),

/***/ "./src/reducers/reducers/index.ts":
/*!****************************************!*\
  !*** ./src/reducers/reducers/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./output */ "./src/reducers/reducers/output.ts"));


/***/ }),

/***/ "./src/reducers/reducers/output.ts":
/*!*****************************************!*\
  !*** ./src/reducers/reducers/output.ts ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(/*! ../constants/actionTypes */ "./src/reducers/constants/actionTypes.ts");
const outputList = [
    {
        name: 'Terminal',
        nameSpace: 'main-system',
        podQuery: 'microstack-traefik',
    },
    {
        name: 'Git',
        container: 'git-server',
        nameSpace: 'stackflow1-06lvx',
        podQuery: 'stackflow1-06lvx-node-user',
    },
    {
        name: 'Test',
        container: 'git-server',
        nameSpace: 'default',
        podQuery: 'idestack-sidecar',
    },
];
const initialState = {
    lock: false,
    outputList: [],
    currentTab: null,
    clear: null,
};
const reducer = (state = initialState, action) => {
    const { payload, type } = action;
    switch (type) {
        case actionTypes_1.OUTPUT_TYPES.LOCK:
            return Object.assign(Object.assign({}, state), { lock: !state.lock });
        case actionTypes_1.OUTPUT_TYPES.CHANGE_TYPE:
            return Object.assign(Object.assign({}, state), { currentTab: state.outputList[payload] });
        case actionTypes_1.OUTPUT_TYPES.CLEAR:
            return Object.assign(Object.assign({}, state), { clear: payload });
        case actionTypes_1.OUTPUT_TYPES.SET_PODS:
            return Object.assign(Object.assign({}, state), { currentTab: payload[0], outputList: payload });
        default:
            return state;
    }
};
exports.outputReducer = reducer;


/***/ }),

/***/ "./src/utils/index.ts":
/*!****************************!*\
  !*** ./src/utils/index.ts ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./theme */ "./src/utils/theme.ts"));


/***/ }),

/***/ "./src/utils/theme.ts":
/*!****************************!*\
  !*** ./src/utils/theme.ts ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.createThemes = (monaco) => {
    monaco.editor.defineTheme('outputTheme-vs-dark', {
        base: 'vs-dark',
        inherit: true,
        rules: [
            { token: 'custom-info', foreground: '808080' },
            { token: 'custom-error', foreground: 'ff0000', fontStyle: 'bold' },
            { token: 'custom-notice', foreground: 'FFA500' },
            { token: 'custom-date', foreground: '008800' },
        ],
    });
    monaco.editor.defineTheme('outputTheme-', {
        base: 'vs',
        inherit: true,
        rules: [
            { token: 'custom-info', foreground: '808080' },
            { token: 'custom-error', foreground: 'ff0000', fontStyle: 'bold' },
            { token: 'custom-notice', foreground: 'FFA500' },
            { token: 'custom-date', foreground: '008800' },
        ],
    });
    monaco.editor.defineTheme('outputTheme-hc-black', {
        base: 'hc-black',
        inherit: true,
        rules: [
            { token: 'custom-info', foreground: '808080' },
            { token: 'custom-error', foreground: 'ff0000', fontStyle: 'bold' },
            { token: 'custom-notice', foreground: 'FFA500' },
            { token: 'custom-date', foreground: '008800' },
        ],
    });
    monaco.editor.defineTheme('outputTheme-light', {
        base: 'vs',
        inherit: true,
        rules: [
            { token: 'custom-info', foreground: '808080' },
            { token: 'custom-error', foreground: 'ff0000', fontStyle: 'bold' },
            { token: 'custom-notice', foreground: 'FFA500' },
            { token: 'custom-date', foreground: '008800' },
        ],
    });
};


/***/ }),

/***/ "@common-stack/client-react":
/*!*********************************************!*\
  !*** external "@common-stack/client-react" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/client-react");

/***/ }),

/***/ "@workbench-stack/components":
/*!**********************************************!*\
  !*** external "@workbench-stack/components" ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/components");

/***/ }),

/***/ "lodash":
/*!*************************!*\
  !*** external "lodash" ***!
  \*************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ "lodash/flowRight":
/*!***********************************!*\
  !*** external "lodash/flowRight" ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("lodash/flowRight");

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "react" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ "react-apollo":
/*!*******************************!*\
  !*** external "react-apollo" ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-apollo");

/***/ }),

/***/ "react-fela":
/*!*****************************!*\
  !*** external "react-fela" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-fela");

/***/ }),

/***/ "react-redux":
/*!******************************!*\
  !*** external "react-redux" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-redux");

/***/ }),

/***/ "redux":
/*!************************!*\
  !*** external "redux" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("redux");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map